<template>
  <v-row cols="12">
    <v-col cols="12">
            <div class="text-h6 title">Patient analytics</div>
        </v-col>
        <!-- ลูปข้อมูล patient -->
        <v-col cols="12" md="4" sm="6" xs="6" v-for="data in patient" :key="data.appointments">
            <v-card-text class="rounded-lg mx-auto pa-1 bg-error2" max-height="144">
                <v-col cols="12">
                    <div class="d-flex flex-row">
                        <div>
                            <v-icon size="large" color="green-darken-2" icon="mdi-account" class="rounded-sm" style="background-color: #EA7674; padding: 17px;"></v-icon>
                        </div>
                        <div class="text-left ml-3">
                            <div class="text-subtitle-1">Appointments today</div>
                            <div class="text-subtitle-2">{{ data.appointments }} persons</div>
                        </div>
                    </div>
                </v-col>
            </v-card-text>
        </v-col>
        <v-col cols="12" md="4" sm="6" xs="6" v-for="data in patient" :key="data.new_patients">
            <v-card-text class="rounded-lg mx-auto pa-1 bg-warning2" max-height="144">
                <v-col cols="12">
                    <div class="d-flex flex-row">
                        <div>
                            <v-icon size="large" color="green-darken-2" icon="mdi-account" class="rounded-sm" style="background-color: #F09F3B; padding: 17px;"></v-icon>
                        </div>
                        <div class="text-left ml-3">
                            <div class="text-subtitle-1">New patients</div>
                            <div class="text-subtitle-2">{{ data.new_patients}} for the manth</div>
                        </div>
                    </div>
                </v-col>
            </v-card-text>
        </v-col>
        <v-col cols="12" md="4" sm="6" xs="6" v-for="data in patient" :key="data.total_patients">
            <v-card-text class="rounded-lg mx-auto pa-1 bg-success2" max-height="144">
                <v-col cols="12">
                    <div class="d-flex flex-row">
                        <div>
                            <v-icon size="large" color="green-darken-2" icon="mdi-file-document-outline" class="rounded-sm" style="background-color: #519F95; padding: 17px;"></v-icon>
                        </div>
                        <div class="text-left ml-3">
                            <div class="text-subtitle-1">Total patients</div>
                            <div class="text-subtitle-2">{{ data.total_patients }}</div>
                        </div>
                    </div>
                </v-col>
            </v-card-text>
        </v-col>
  </v-row>
</template>

<script>
export default {
    data() {
    return {
        patient:[{
            appointments:"16",
            new_patients:"125",
            total_patients:"2045"
        }],
    };
  },
}
</script>
